WordPress.org

Ready to get started?Download WordPress

Forums

qTranslate
[resolved] qTranstalte not working with WordPress 3.1 beta2 (27 posts)

  1. Wiki Chaves
    Member
    Posted 3 years ago #

    Hi,

    I'm developing a new website with WP 3.1 beta2. I usually don't use beta version for developments, but the reason I've used 3.1 is that I needed to use the new Post Type archive.

    Now that I've installed qTranslate 2.5.13, and showed the typical sign of "he qTranslate Editor has disabled itself because.... "

    I've harcoded the QT_SUPPORTED_WP_VERSION to 3.1-beta2 and the sign dissapear, but what happens is that I can't see the content in both languages (I'm using English and Spanish). I only see blank fields, even in the posts i had completed the title and content.

    I'm afraid that it has to do with the new TinyMCE upgrade in WP 3.1

    Is there any plan to upgrade the plugin soon to be compatible with WP 3.1 ? Or schedulle ?

    Or... does anyone has an idea how can I fix this issue temporaly ?

    Best,
    Wiki

  2. Wiki Chaves
    Member
    Posted 3 years ago #

    Any idea there ?

  3. Wiki Chaves
    Member
    Posted 3 years ago #

    Hi all, sorry to insist but is there any idea about qtranslate update compatible with WP 3.1 ?

    best
    wiki

  4. Wiki Chaves
    Member
    Posted 3 years ago #

    Hi all !

    Does anybody has any news about this topic ? Any news about qtranslate update to be compatible with 3.1 ?

    best

  5. Wiki Chaves
    Member
    Posted 3 years ago #

    Now that I've updated WP to 3.1 (final version) I still have the same problem

    Any others there ?

  6. marcokrikke
    Member
    Posted 3 years ago #

    qTranslate works for me in WP3.1 final, that is, our website still functions.

    Only the integration in the WP Admin seems broken. This might have something to do with the TinyMCE update in WP3.1. However, using the <!--en--> tags in the editor still works.

  7. poosk
    Member
    Posted 3 years ago #

    Oh god I just broke my biggest client's website.. I really hate q-translate. It doesn't seem to work with anything.

    WP 3.0.5 seems to work fine with q-translate but now with 3.1 update I cannot see the admin texteditor input fields at all!

    PLEASE SOMEONE HELP!

  8. marcokrikke
    Member
    Posted 3 years ago #

    Restore your backup from before you upgraded to WP3.1?

  9. poosk
    Member
    Posted 3 years ago #

    We'll that might be a quick fix but I still need to get 3.1 up and running eventually

  10. marcokrikke
    Member
    Posted 3 years ago #

    I guess qTranslate will have support for 3.1 eventually. Otherwise, you can fix it yourself of course, source is available.

  11. karl19
    Member
    Posted 3 years ago #

    The qTranslate plugin usually gets updated a little while after a new WP version has been released (the author says 1-2 weeks usually). Hence the notice not to use it with an unsupported version of WP - I'd love to have an update as well, as a project needs WP3.1, but it's a great plugin for free, so I'm just happy it gets updated at all!

  12. Wiki Chaves
    Member
    Posted 3 years ago #

    Like marcokrikke said, I think this time the problem is caused by TinyMCE update.
    I hope It can be fixed sood !

    If anyone find a quick solution, please post it here

    Best,
    Wiki

  13. Susanna
    Member
    Posted 3 years ago #

    waiting for its new updating to mach WP3.1 as well.

  14. baga
    Member
    Posted 3 years ago #

    Just open qtranslate.php and edit line 79:

    define('QT_SUPPORTED_WP_VERSION', '3.1');

  15. marcokrikke
    Member
    Posted 3 years ago #

    @baga: that just removes the warning, but does not fix the issues mentioned above.

  16. baga
    Member
    Posted 3 years ago #

    Hi Marco my site is working perfectly and I use 10 different languages.

  17. marcokrikke
    Member
    Posted 3 years ago #

    @baga: My site also works perfectly, except for the rendering of the different language tabs in the 'Edit post' and 'Edit page' windows: they are just missing. Do they work for you?

  18. baga
    Member
    Posted 3 years ago #

    I only have pages, don't have posts; pages do work as before the update. It works both on the visual editor as well as the html tab.

  19. marcokrikke
    Member
    Posted 3 years ago #

    Hmm weird. Well, I'll give it a try again later. :P.

  20. poosk
    Member
    Posted 3 years ago #

    It worked for me too! THANK YOU BAGA

  21. detonate
    Member
    Posted 3 years ago #

    baga, can I buy you a beer?
    You just made my day dude!
    Thanks a bunch =)

  22. marcokrikke
    Member
    Posted 3 years ago #

    Also tested it, and the solution of baga seems to work. Thanks!

  23. Wiki Chaves
    Member
    Posted 3 years ago #

    yes, worked for me too !
    thanks baga !

  24. Carl
    Member
    Posted 3 years ago #

    also worked for me, thanks baga :)

  25. baga
    Member
    Posted 3 years ago #

    :-)

  26. TakeoK
    Member
    Posted 3 years ago #

    Not sure why there is always a long delay with this plugin when new WordPress versions are released... anyone can download the daily builds of pre-release versions.

  27. TheoLogos.Net
    Member
    Posted 2 years ago #

    My WordPress is 3.2.1 and my qTranslate is 2.5.24 - I have not problem with the plugin whatsoever. It works great and is very easy to use.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic